Package com.sas.metadata.remote

# Interface LogicalColumn

All Superinterfaces:
  `CMetadata`, `Feature`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `CalculatedMeasure`, `Column`, `ColumnRange`, `Measure`

public interface LogicalColumn extends Feature
The supertype for Column, which is part of a relational table, and Measure, which is used with OLAP types.

Attributes of LogicalColumn are:

- `SASFormat`
- `SASInformat`
- `ColumnLength`
- `ColumnType`
- `ColumnName`

Associations of LogicalColumn are:

## Usage

To create an instance of this LogicalColumn, use the `factory` create methods.
Example: create a LogicalColumn with name "LogicalColumn_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     LogicalColumn myObject = (LogicalColumn) factory.createComplexMetadataObject(objectStore, "LogicalColumn_Object", MetadataObjects.LOGICALCOLUMN, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTRIBUTE_COLUMNLENGTH_NAME`
  Constant used for the name of the ColumnLength attribute.
  `static final String`
  `ATTRIBUTE_COLUMNNAME_NAME`
  Constant used for the name of the ColumnName attribute.
  `static final String`
  `ATTRIBUTE_COLUMNTYPE_NAME`
  Constant used for the name of the ColumnType attribute.
  `static final String`
  `ATTRIBUTE_SASFORMAT_NAME`
  Constant used for the name of the SASFormat attribute.
  `static final String`
  `ATTRIBUTE_SASINFORMAT_NAME`
  Constant used for the name of the SASInformat attribute.

  ### Fields inherited from interface com.sas.metadata.remote.Feature

  `ASSOCIATION_SOURCEFEATUREMAPS_NAME, ASSOCIATION_TARGETFEATUREMAPS_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumnLength()`
  Gets the `int` value of `ColumnLength`
  `int`
  `getColumnLengthState()`
  Gets the Metadata State of `ColumnLength`
  `String`
  `getColumnName()`
  Gets the `String` value of `ColumnName`
  `int`
  `getColumnNameMaxLength()`
  Gets the maximum length of `ColumnName`
  `int`
  `getColumnNameState()`
  Gets the Metadata State of `ColumnName`
  `int`
  `getColumnType()`
  Gets the `int` value of `ColumnType`
  `int`
  `getColumnTypeState()`
  Gets the Metadata State of `ColumnType`
  `String`
  `getSASFormat()`
  Gets the `String` value of `SASFormat`
  `int`
  `getSASFormatMaxLength()`
  Gets the maximum length of `SASFormat`
  `int`
  `getSASFormatState()`
  Gets the Metadata State of `SASFormat`
  `String`
  `getSASInformat()`
  Gets the `String` value of `SASInformat`
  `int`
  `getSASInformatMaxLength()`
  Gets the maximum length of `SASInformat`
  `int`
  `getSASInformatState()`
  Gets the Metadata State of `SASInformat`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setColumnLength(int inColumnLength)`
  Sets the `ColumnLength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setColumnLength(int inColumnLength, int state)`
  Sets the `ColumnLength` Metadata State.
  `void`
  `setColumnLength(String inColumnLength)`
  Sets the `ColumnLength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setColumnLength(String inColumnLength, int state)`
  Sets the `ColumnLength` value and Metadata State.
  `void`
  `setColumnLengthState(int state)`
  Sets the Metadata State of `ColumnLength`.
  `void`
  `setColumnName(String inColumnName)`
  Sets the `ColumnName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setColumnName(String inColumnName, int state)`
  Sets the `ColumnName` Metadata State.
  `void`
  `setColumnNameState(int state)`
  Sets the Metadata State of `ColumnName`.
  `void`
  `setColumnType(int inColumnType)`
  Sets the `ColumnType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setColumnType(int inColumnType, int state)`
  Sets the `ColumnType` Metadata State.
  `void`
  `setColumnType(String inColumnType)`
  Sets the `ColumnType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setColumnType(String inColumnType, int state)`
  Sets the `ColumnType` value and Metadata State.
  `void`
  `setColumnTypeState(int state)`
  Sets the Metadata State of `ColumnType`.
  `void`
  `setSASFormat(String inSASFormat)`
  Sets the `SASFormat` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASFormat(String inSASFormat, int state)`
  Sets the `SASFormat` Metadata State.
  `void`
  `setSASFormatState(int state)`
  Sets the Metadata State of `SASFormat`.
  `void`
  `setSASInformat(String inSASInformat)`
  Sets the `SASInformat` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASInformat(String inSASInformat, int state)`
  Sets the `SASInformat` Metadata State.
  `void`
  `setSASInformatState(int state)`
  Sets the Metadata State of `SASInformat`.

  ### Methods inherited from interface com.sas.metadata.remote.Feature

  `getSourceFeatureMaps, getSourceFeatureMaps, getTargetFeatureMaps, getTargetFeatureMaps, setSourceFeatureMaps, setSourceFeatureMaps, setTargetFeatureMaps, setTargetFeatureMaps`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_SASFORMAT_NAME

    static final String ATTRIBUTE_SASFORMAT_NAME
    Constant used for the name of the SASFormat attribute.

    SASFormat: This attribute contains the SAS format associated with this column.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASINFORMAT_NAME

    static final String ATTRIBUTE_SASINFORMAT_NAME
    Constant used for the name of the SASInformat attribute.

    SASInformat: This attribute contains the SAS informat associated with this column.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_COLUMNLENGTH_NAME

    static final String ATTRIBUTE_COLUMNLENGTH_NAME
    Constant used for the name of the ColumnLength attribute.

    ColumnLength: This attribute contains the length of the column. When this type is used to represent a physical column in a DBMS, the length is the DBMS length value. The SASColumnLength should be the same as this value, unless the length is too long and will be truncated by SAS software.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_COLUMNTYPE_NAME

    static final String ATTRIBUTE_COLUMNTYPE_NAME
    Constant used for the name of the ColumnType attribute.

    ColumnType: The type of the column as defined in the DBMS. This is an integer value that indicates the SQL type.

  - ARRAY = 2003
  - BIGINT = -5
  - BINARY = -2
  - BIT = -7
  - BLOB = 2004
  - CHAR = 1
  - CLOB = 2005
  - DATE = 91
  - DECIMAL = 3
  - DISTINCT = 2001
  - DOUBLE = 8
  - FLOAT = 6
  - INTEGER = 4
  - JAVA_OBJECT = 2000
  - LONGVARBINARY = -4
  - LONGVARCHAR = -1
  - NULL = 0
  - NUMERIC = 2
  - OTHER = 1111
  - REAL = 7
  - REF = 2006
  - SMALLINT = 5
  - STRUCT = 2002
  - TIME = 92
  - TIMESTAMP = 93
  - TINYINT = -6
  - VARBINARY = -3
  - VARCHAR = 12

See Also:
  - Constant Field Values

- ### ATTRIBUTE_COLUMNNAME_NAME

  static final String ATTRIBUTE_COLUMNNAME_NAME
  Constant used for the name of the ColumnName attribute.

  ColumnName: This attribute is the name of the column as it is defined in a DBMS. ColumnName will often be set to match the value for SASColumnName. This attribute is not used by SAS Data Integration Studio.

  See Also:
    - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `Feature`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `Feature`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASFormat

    String getSASFormat() throws RemoteException
    Gets the `String` value of `SASFormat`
    Returns:
      The `SASFormat`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASFormatState

    int getSASFormatState() throws RemoteException
    Gets the Metadata State of `SASFormat`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASFormatMaxLength

    int getSASFormatMaxLength() throws RemoteException
    Gets the maximum length of `SASFormat`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASInformat

    String getSASInformat() throws RemoteException
    Gets the `String` value of `SASInformat`
    Returns:
      The `SASInformat`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASInformatState

    int getSASInformatState() throws RemoteException
    Gets the Metadata State of `SASInformat`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASInformatMaxLength

    int getSASInformatMaxLength() throws RemoteException
    Gets the maximum length of `SASInformat`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnLength

    int getColumnLength() throws RemoteException
    Gets the `int` value of `ColumnLength`
    Returns:
      The `ColumnLength`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnLengthState

    int getColumnLengthState() throws RemoteException
    Gets the Metadata State of `ColumnLength`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnType

    int getColumnType() throws RemoteException
    Gets the `int` value of `ColumnType`
    Returns:
      The `ColumnType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnTypeState

    int getColumnTypeState() throws RemoteException
    Gets the Metadata State of `ColumnType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnName

    String getColumnName() throws RemoteException
    Gets the `String` value of `ColumnName`
    Returns:
      The `ColumnName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnNameState

    int getColumnNameState() throws RemoteException
    Gets the Metadata State of `ColumnName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumnNameMaxLength

    int getColumnNameMaxLength() throws RemoteException
    Gets the maximum length of `ColumnName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setSASFormat

    void setSASFormat(String inSASFormat) throws RemoteException
    Sets the `SASFormat` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASFormat` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASFormat

    void setSASFormat(String inSASFormat, int state) throws RemoteException
    Sets the `SASFormat` Metadata State.
    Parameters:
      `inSASFormat` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASFormatState

    void setSASFormatState(int state) throws RemoteException
    Sets the Metadata State of `SASFormat`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASInformat

    void setSASInformat(String inSASInformat) throws RemoteException
    Sets the `SASInformat` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASInformat` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASInformat

    void setSASInformat(String inSASInformat, int state) throws RemoteException
    Sets the `SASInformat` Metadata State.
    Parameters:
      `inSASInformat` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASInformatState

    void setSASInformatState(int state) throws RemoteException
    Sets the Metadata State of `SASInformat`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnLength

    void setColumnLength(int inColumnLength) throws RemoteException
    Sets the `ColumnLength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inColumnLength` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnLength

    void setColumnLength(int inColumnLength, int state) throws RemoteException
    Sets the `ColumnLength` Metadata State.
    Parameters:
      `inColumnLength` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnLength

    void setColumnLength(String inColumnLength) throws RemoteException
    Sets the `ColumnLength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inColumnLength` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnLength

    void setColumnLength(String inColumnLength, int state) throws RemoteException
    Sets the `ColumnLength` value and Metadata State.
    Parameters:
      `inColumnLength` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnLengthState

    void setColumnLengthState(int state) throws RemoteException
    Sets the Metadata State of `ColumnLength`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnType

    void setColumnType(int inColumnType) throws RemoteException
    Sets the `ColumnType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inColumnType` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnType

    void setColumnType(int inColumnType, int state) throws RemoteException
    Sets the `ColumnType` Metadata State.
    Parameters:
      `inColumnType` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnType

    void setColumnType(String inColumnType) throws RemoteException
    Sets the `ColumnType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inColumnType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnType

    void setColumnType(String inColumnType, int state) throws RemoteException
    Sets the `ColumnType` value and Metadata State.
    Parameters:
      `inColumnType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnTypeState

    void setColumnTypeState(int state) throws RemoteException
    Sets the Metadata State of `ColumnType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnName

    void setColumnName(String inColumnName) throws RemoteException
    Sets the `ColumnName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inColumnName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnName

    void setColumnName(String inColumnName, int state) throws RemoteException
    Sets the `ColumnName` Metadata State.
    Parameters:
      `inColumnName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumnNameState

    void setColumnNameState(int state) throws RemoteException
    Sets the Metadata State of `ColumnName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.